### Virtual Method

# Atk Text get_text_before_offset

deprecated: 2.9.3

#### Declaration [src]

    gchar*
    get_text_before_offset (
      AtkText* text,
      gint offset,
      AtkTextBoundary boundary_type,
      gint* start_offset,
      gint* end_offset
    )

#### Description [src]

Gets the specified text.

Deprecated since: 2.9.3

Please use `atk_text_get_string_at_offset()` instead.

#### Parameters

`offset`

  Type: `gint`

  Position.

`boundary_type`

  Type: `AtkTextBoundary`

  An `AtkTextBoundary`.

`start_offset`

  Type: `gint*`

  The starting character offset of the returned string.

  The argument will be set by the function.

`end_offset`

  Type: `gint*`

  The offset of the first character after the returned substring.

  The argument will be set by the function.

#### Return value

Type: `gchar*`

A newly allocated string containing the text before `offset` bounded by the specified `boundary_type`. Use `g_free()` to free the returned string.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.